Subject: Re: [PATCH v4 04/73] Makefile: "pot" target to extract messages marked for translation

From: Jonathan Nieder <[email-masked]>
Date: Fri, 25 Feb 2011 16:11:39 -0600

Junio C Hamano wrote:

> Does xgettext leave output file specified with -o when it gets killed?

I don't think so.  But xgettext collects output and then writes it all
in one swoop, so it's hard to provoke problems that way in practice.

The possibility that had me worried is what hat happens when we start
translating shell scripts:

	xgettext -o$@ $(XGETTEXT_FLAGS_C) $(LOCALIZED_C)
	xgettext -o$@ --add-missing $(XGETTEXT_FLAGS_SH) $(LOCALIZED_SH)
	xgettext -o$@ --add-missing $(XGETTEXT_FLAGS_PERL) $(LOCALIZED_PERL)

If the build is interrupted partway through, the output from the
commands that succeeded will remain and leave out the messages that
would have been added later out of the template.